Bug 1674298 - SELinux is preventing ip from using the 'setcap' accesses on a process.
Summary: SELinux is preventing ip from using the 'setcap' accesses on a process.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0a971e3f018d378891bc8606b26...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-10 22:21 UTC by bztdlinux
Modified: 2019-02-18 02:04 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.2-49.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-18 02:04:11 UTC


Attachments (Terms of Use)

Description bztdlinux 2019-02-10 22:21:45 UTC
Description of problem:
SELinux is preventing ip from using the 'setcap' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that ip should be allowed setcap access on processes labeled ddclient_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'ip' --raw | audit2allow -M my-ip
# semodule -X 300 -i my-ip.pp

Additional Information:
Source Context                system_u:system_r:ddclient_t:s0
Target Context                system_u:system_r:ddclient_t:s0
Target Objects                Unknown [ process ]
Source                        ip
Source Path                   ip
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-48.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.20.4-200.fc29.x86_64 #1 SMP Wed
                              Jan 23 16:11:28 UTC 2019 x86_64 x86_64
Alert Count                   23
First Seen                    2019-02-10 12:30:37 PST
Last Seen                     2019-02-10 14:20:37 PST
Local ID                      021bff64-e824-49dd-9894-babd6e92b3d7

Raw Audit Messages
type=AVC msg=audit(1549837237.662:772): avc:  denied  { setcap } for  pid=1485 comm="ip" scontext=system_u:system_r:ddclient_t:s0 tcontext=system_u:system_r:ddclient_t:s0 tclass=process permissive=0


Hash: ip,ddclient_t,ddclient_t,process,setcap

Version-Release number of selected component:
selinux-policy-3.14.2-48.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.10.0
hashmarkername: setroubleshoot
kernel:         4.20.4-200.fc29.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2019-02-11 15:21:03 UTC
commit 1ae306ce103fa34759e19e5de8d56ca5ab32cd02 (HEAD -> rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Mon Feb 11 16:20:33 2019 +0100

    Allow ddclient_t to setcap
    Resolves: rhbz#1674298

Comment 2 Fedora Update System 2019-02-15 07:59:42 UTC
selinux-policy-3.14.2-49.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c13db036c

Comment 3 Fedora Update System 2019-02-16 03:05:09 UTC
selinux-policy-3.14.2-49.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c13db036c

Comment 4 Fedora Update System 2019-02-18 02:04:11 UTC
selinux-policy-3.14.2-49.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.